Subject: RE: __infinity defined twice in libcygwin.a and libm.a (Compiling perl)
From: "Neil Lunn" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 16 Aug 2000 18:57:44 EST

>From: "Fifer, Eric" <[email-masked]>
>To: [email-masked]
>Subject: RE: __infinity defined twice in libcygwin.a and libm.a (Compiling  
>perl)
>Date: Tue, 15 Aug 2000 10:51:50 +0100
>
>
>Michael Ring wrote:
> >I just tried to compile perl 5.6.0 (and finally succeeded) but on my
> >way I had to remove all references to libm.a from the makefiles of
> >perl because the linker complained that __infinity was defined both in
> >libm and libcygwin.
>
>libm.a should be a symlink to libcygwin.a.  The -lm that Perl's
>Configure adds is somewhat of an historic artifact, however at
>least to date it has never caused any problems.

Sound like setup wasn't used.

>
>Are you running Cygwin-1.1.4 (with the dll_entry.o fix)?
>binutils-20000722-1?  gcc-2.95.2-2.tar.gz?
>
>Also, I have submitted 4 patches to perl5-porters since perl-5.6.0
>was released (and they are in the latest perl-current tree):
>
>	http://www.egroups.com/message/perl5-porters/67725
>	http://www.egroups.com/message/perl5-porters/69079
>	http://www.egroups.com/message/perl5-porters/69270
>	http://www.egroups.com/message/perl5-porters/71082
>
>With what I described above, assuming you accept all the
>defaults to Configure (run as Configure -de) Perl builds
>cleanly on my machine (in spite of the unnecessary reference
>to -lm).
>
>Anyway, I have no idea why you are seeing linker errors.
>
>Hope this helps.
>
>Eric Fifer
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]